package web

import (
	"embed"
	"net/http"
)

//go:generate $GOPATH/bin/jade -pkg=web -stdlib -stdbuf -writer templates/index.jade

//go:embed assets
var assetsDir embed.FS

func Assets() http.FileSystem {
	return http.FS(assetsDir)
}

func AssetsGetFile(path string) ([]byte, error) {
	return assetsDir.ReadFile("assets/" + path)
}
